using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Media;

namespace TemperatureLogbook
{
    public partial class Form7 : Form
    {
        public Item item;
        public Form7()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {

            if (textBox5.Text.Equals("CBBD456997"))
            {
                try
                {
                    item = new Item();
                    item.id = Convert.ToInt32(textBox1.Text);
                    item.location = textBox2.Text;
                    item.dateTime = Convert.ToDateTime(textBox3.Text);
                    item.temperature = Convert.ToInt32(textBox4.Text);

                    this.Close();
                }
                catch (Exception ex)
                {
                    SoundPlayer sound = new SoundPlayer("alert.wav");
                    sound.PlayLooping();
                    MessageBox.Show("Bad data, moron.  Can't you figure out an int, string, date, and double?  Geeze!");
                    sound.Stop();
                }
            }
     
        }

        private void Form7_Load(object sender, EventArgs e)
        {
            if (item != null)
            {
                textBox1.Text = item.id.ToString();
                textBox2.Text = item.location;
                textBox3.Text = item.dateTime.ToString();
                textBox4.Text = item.temperature.ToString();
                trackBar1.Value = (Int32) item.temperature;
            }
        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {
            textBox4.Text = trackBar1.Value.ToString();
        }
    }
}