using System;
using System.Collections.Generic;
using System.Text;

namespace TemperatureLogbook
{
    public class Item
    {
        static int globalId;
        static Random random = new Random();
        public int id;
        public string location;
        public DateTime dateTime;
        public double temperature;

        public String generateLocation()
        {
            int value = random.Next(0, 5);
            string result = "Nothing";

            switch (value)
            {
                case 0: result = "Stanger"; break;
                case 1: result = "Duffy"; break;
                case 2: result = "Cushing-Martin"; break;
                case 3: result = "Chapel of Mary"; break;
                case 4: result = "Martin Institute"; break;
                case 5: result = "MacPhaidin Library"; break;
            }

            return result;
        }

        public Item()
        {
            id = globalId++;
            location = generateLocation();
            dateTime = DateTime.Now;
            temperature = (double) random.Next(0, 212);
        }
    }
}
